APISettings
Update SSO settings
Update the SSO token endpoint and which public surfaces it gates. Needs the Scale plan and the admin scope.
PATCH
/settings/ssocurl -X PATCH "https://productlane.com/api/v2/settings/sso" \
-H "Authorization: Bearer $PRODUCTLANE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"token_endpoint": "https://example.com",
"enabled": true,
"portal_private": true,
"docs_private": true,
"roadmap_private": true,
"changelog_private": true,
"requests_private": true
}'Authorization
AuthorizationstringheaderrequiredBearer authentication header of the form
Bearer <token>, where<token>is your auth token.
Body
application/json
token_endpointstring<uri>enabledbooleanportal_privatebooleandocs_privatebooleanroadmap_privatebooleanchangelog_privatebooleanrequests_privateboolean
Response
application/json
Successful response
enabledbooleanrequiredtoken_endpointstringrequiredportal_privatebooleanrequireddocs_privatebooleanrequiredroadmap_privatebooleanrequiredchangelog_privatebooleanrequiredrequests_privatebooleanrequiredupdated_atstringrequired
{
"enabled": true,
"token_endpoint": "string",
"portal_private": true,
"docs_private": true,
"roadmap_private": true,
"changelog_private": true,
"requests_private": true,
"updated_at": "string"
}